package com.akamai.analytics.firebase;

import android.app.Activity;
import android.os.Bundle;
import android.view.WindowManager;
import android.widget.ProgressBar;

import com.akamai.amp.ads.ima.AmpIMAManager;
import com.akamai.amp.ads.ima.IMA;
import com.akamai.amp.analytics.firebase.AmpFirebaseAnalyticsTracker;
import com.akamai.amp.analytics.firebase.AmpFirebaseEvent;
import com.akamai.amp.analytics.firebase.FirebaseTrackerData;
import com.akamai.amp.media.VideoPlayerContainer;
import com.akamai.amp.media.VideoPlayerView;
import com.akamai.amp.media.elements.MediaResource;
import com.akamai.amp.media.errors.ErrorType;


public class MainActivity extends Activity {

    private VideoPlayerContainer playerContainer;
    private VideoPlayerView playerView;
    private ProgressBar progressBar;
    private AmpIMAManager ima;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);
        progressBar = findViewById(R.id.progressBar);
        playerContainer = findViewById(R.id.playerViewCtrl);
        playerContainer.addVideoPlayerContainerCallback(new VideoPlayerContainer.VideoPlayerContainerCallback() {
            @Override
            public void onResourceReady(MediaResource mediaResource) {
                playerView.play(mediaResource);
            }

            @Override
            public void onVideoPlayerCreated() {
                playerView = playerContainer.getVideoPlayer();
                ima = IMA.create(MainActivity.this);
                ima.setVideoPlayerContainer(playerContainer);
                ima.setAdsUrl("https://pubads.g.doubleclick.net/gampad/ads?sz=640x480&iu=%2F124319096%2Fexternal%2Fsingle_ad_samples&ciu_szs=728x90%2C300x250%2C180x150%2C120x60%2C88x31%2C300x60%2C300x100%2C320x50%2C468x60%2C300x600%2C160x600&gdfp_req=1&env=vp&output=xml_vast4&unviewed_position_start=1&cust_params=deployment%3Ddevsite%26sample_ct%3Dskippablelinear&correlator=3742860445687268&cookie_enabled=1&cdm=google-developers.appspot.com&u_so=l&mpt=h5_vsi&adsid=AGt39rTjpo1cFRROC25DSz9h4COzNekTYa2VmpvNfuO1ncIG_MFnp82-fMboYVvbDxZHbwY9Us_ZU-u20GnCkGXJt50HOeDHHwHMFOWIPk8&jar=2019-5-27-21&sdkv=h.3.307.0&sdki=44d&scor=4046956150136739&adk=1219287128&osd=2&sdr=1&is_amp=0&hl=en&afvsz=200x200%2C250x250%2C300x250%2C336x280%2C450x50%2C468x60%2C480x70&url=null&frm=0&dlt=1558994823900&idt=371&dt=1558994824612&ged=ve4_td2_tt1_pd2_la1000_er160.493.312.793_vi0.0.731.1589_vp100_eb24171&ppid=ABCDE123456789012345678901234567");
                ima.setVideoPlayerView(playerView);
                playerView.setProgressBarControl(progressBar);
                playerView.setLogEnabled(true);
                playerView.setLicense("UwHMFWSuuFm2fVRwensB7-XdNS-Fhc99VnbIiDyWOqfgBZ6BDKwFJVoM4cOfkbRlrWh4z7enf6kEdatCS9OY9w==");
                FirebaseTrackerData data = new FirebaseTrackerData();
                data.setTrackEvents(AmpFirebaseEvent.PLAYBACK, AmpFirebaseEvent.ADS, AmpFirebaseEvent.CAPTIONS);
                new AmpFirebaseAnalyticsTracker(playerView, data);
            }

            @Override
            public void onResourceError(ErrorType errorType, Exception exception) {
            }
        });
        playerContainer.prepareResource("http://devimages.apple.com/iphone/samples/bipbop/bipbopall.m3u8");
    }

    @Override
    protected void onPause() {
        if (playerView != null) playerView.onPause();
        super.onPause();
    }

    @Override
    protected void onResume() {
        if (playerView != null) playerView.onResume();
        super.onResume();
    }

    @Override
    protected void onDestroy() {
        if (playerView != null) playerView.onDestroy();
        super.onDestroy();
    }

}
